Subject: Re: tmail, sendmail and MBX]

From: Terry Davis <[email-masked]>
Date: Wed, 18 Jul 2001 15:33:26 -0500

Subject: Re: tmail, sendmail and MBX
From: Terry Davis <[email-masked]>
To: Mark Elvers <[email-masked]>
Date: Wed, 18 Jul 2001 15:32:30 -0500

> Is there a way to make
> imapd see this alternative location for the INBOX

This can be done through the sysinbox() routine in
src/osdep/unix/env_unix.c

> Tell imapd that the
> users home directory is /export/home/username/mail rather than
> /export/home/username?

This can be done in src/osdep/unix/env_unix.c with the line:
static char *mailsubdir = "mail/";

Just grep for mailsubdir in that file and you will see what I mean.
This is all documented in docs/CONFIG

I dont know about hte rest of the stuff, sorry.  I would personally like
to get tmail to deliver to mbx compliant inboxes.

Mark Elvers wrote:
> 
> Apologies if this is the wrong place to ask this question -
> 
> I'm moving our IMAP servers over to MBX format as the UNIX format is
> painfully slow for some of our larger mailboxes.  I've recompiled imapd with
> MBX as the default prototype, and I've configured sendmail to deliver via
> tmail.
> 
> This all works fine, but not quite as I would expect it to.  What happens is
> that sendmail invokes tmail which takes the message straight from
> /var/spool/mqueue and drops them into the users home directory in a file
> called INBOX (in mbx format).
> 
> Firstly, I was expecting the mbx format inbox to be stored in
> /var/spool/mail/username [and the folders to be in ~/mail].  I've been using
> MBX format inbox in specific peoples home directories as an interim measure
> and imapd has been pulling the UNIX format mail from /var/spool/mail when
> the inbox is opened.  I'd assumed that when using tmail, it would deliver in
> mbx format to /var/spool/mail/username and get the inbox file out of the
> home directory.  Is what I'm seeing the correct behaviour?
> 
> Secondly, I think I would prefer the INBOX to be in ~username/mail/INBOX
> rather than ~username/INBOX.  I've experimented with tmail and it will
> deliver to ~username/mail/INBOX with no problem.  (a) Is there a way to make
> imapd see this alternative location for the INBOX, or (b) Is there a way to
> get the MBX mailbox to /var/spool/mail/username? or (c) Tell imapd that the
> users home directory is /export/home/username/mail rather than
> /export/home/username?
> 
> My concern is that most of my users are PC based and they share their UNIX
> home directory with their PC accounts.  I can just see them opening the
> INBOX file in MS Word and wrecking it.  How about a totally separate home
> directory when looking from the mail system?  For example,
> /export/home/username is their home directory, and /private/home/username is
> their home directory as far as the IMAP system is concerned.
> 
> Thanks for any help
> 
> Mark
> 
> --
> ------------------------------------------------------------------
>  For information about this mailing list, and its archives, see:
>  http://www.washington.edu/imap/c-client-list.html
> ------------------------------------------------------------------

-- 
Terry Davis
Systems Administrator
BirdDog Solutions, Inc.
(402) 829-6059
www.birddog.com